<?php
// Sāk sesiju
session_start();

// Pārbauda, vai pieprasījuma metode ir POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Izgūst datus no slēptajiem ievades laukiem
    $id = $_POST['postid']; // Pieņemot, ka 'postid' atbilst ieraksta ID
    $header = $_POST['header']; // Pieņemot, ka 'header' atbilst virsrakstam
    $text = $_POST['text']; // Pieņemot, ka 'text' atbilst ieraksta teksta saturam
    $imageId = $_POST['imageid']; // Pieņemot, ka 'imageid' atbilst attēla ID
	$rating = '0'; // Pieņemot, ka 'imageid' atbilst attēla ID
	$kateg = $_POST['kategid']; // Pieņemot, ka 'imageid' atbilst attēla ID
    
    // Izgūst autoru un autorid no sesijas
    $autor = $_SESSION['autor']; // Autors (lietotāja vārds)
    $autorid = $_SESSION['autorid']; // Autora ID

    // Pieņemot, ka ir datubāzes savienojums
    $servername = "109.106.254.1";
    $username = "u353443769_beis";
    $password = 'Te$t@dm1n';
    $dbname = "u353443769_beis";

    // Izveido savienojumu
    $conn = new mysqli($servername, $username, $password, $dbname);

    // Pārbauda savienojumu
    if ($conn->connect_error) {
        die("Savienojuma neizdevās: " . $conn->connect_error);
    }

    // Sagatavo un izpilda SQL paziņojumu, lai ievietotu datus tabulā
    $sql = "INSERT INTO pav_gra_postsi (id, header, text, imageid, autor, autorid, rating) VALUES (?, ?, ?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("isssssi", $id, $header, $text, $imageId, $autor, $autorid, $rating);
	
	    if ($stmt->execute()) {
        echo json_encode(array("message" => "Recepte veiksmīgi saglabāta"));
        
    } else {
        echo json_encode(array("error" => "Kļūda, saglabājot ierakstu"));
    }
	
	
	  // Sagatavo un izpilda SQL paziņojumu, lai ievietotu kategorijas datus tabulā
    $sql = "INSERT INTO pav_gra_kategj (post_id, kateg) VALUES (?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ii", $id, $kateg);
	
    if ($stmt->execute()) {
        echo json_encode(array("message" => "Recepte veiksmīgi saglabāta"));
           header("Location: ../mani.html"); // Pāradresē uz lietotāja lapu pēc saglabāšanas
    } else {
        echo json_encode(array("error" => "Kļūda, saglabājot ierakstu"));
    }

    // Aizver paziņojumu un datubāzes savienojumu
    $stmt->close();
    $conn->close();
} else {
    // Atgriež kļūdas ziņojumu, ja pieprasījuma metode nav POST
    echo json_encode(array("error" => "Nederīga pieprasījuma metode"));
}
?>
